Berkeley DB version 5.3.28

## com.sleepycat.persist.model
Class ModelInternal

    java.lang.Object
      com.sleepycat.persist.model.ModelInternal

    public class ModelInternal

extends Object

Internal access class that should not be used by applications.

Constructor Summary
`ModelInternal()`

Method Summary
`static ClassLoader` `getClassLoader(EntityModel model)` Internal access method that should not be used by applications.
`static void` `setCatalog(EntityModel model, com.sleepycat.persist.impl.PersistCatalog catalog)` Internal access method that should not be used by applications.
`static void` `setClassLoader(EntityModel model, ClassLoader loader)` Internal access method that should not be used by applications.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelInternal

    public ModelInternal()

Method Detail

### setCatalog

    public static void setCatalog(EntityModel model,
                                  com.sleepycat.persist.impl.PersistCatalog catalog)

  Internal access method that should not be used by applications.

### setClassLoader

    public static void setClassLoader(EntityModel model,
                                      ClassLoader loader)

  Internal access method that should not be used by applications.

### getClassLoader

    public static ClassLoader getClassLoader(EntityModel model)

  Internal access method that should not be used by applications.

Berkeley DB version 5.3.28

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.